#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int N,K,a[20000],i;
        cin>>N>>K;
    for(i=0; i<N; i++){
            cin>>a[i];
    }
    for(i=0; i<N; i++){
            if(K==a[i]){
                    if(K!=a[N-1])cout<<a[i+1]<<'\n';
            else cout<<a[0]<<'\n';
    }
    }


    return 0;
}